import request from '@/utils/request'

// 查询高价值数据导入列表
export function listDHighValueInfo(query) {
  return request({
    url: '/dimp/dHighValueInfo/list',
    method: 'get',
    params: query
  })
}

// 查询高价值数据导入详细
export function getDHighValueInfo(id) {
  return request({
    url: '/dimp/dHighValueInfo/' + id,
    method: 'get'
  })
}

// 新增高价值数据导入
export function addDHighValueInfo(data) {
  return request({
    url: '/dimp/dHighValueInfo',
    method: 'post',
    data: data
  })
}

// 修改高价值数据导入
export function updateDHighValueInfo(data) {
  return request({
    url: '/dimp/dHighValueInfo',
    method: 'put',
    data: data
  })
}

// 删除高价值数据导入
export function delDHighValueInfo(id) {
  return request({
    url: '/dimp/dHighValueInfo/' + id,
    method: 'delete'
  })
}
